## org.apache.hadoop.io
Class SetFile

    java.lang.Object
      org.apache.hadoop.io.MapFile
          org.apache.hadoop.io.SetFile

    public class SetFile

extends MapFile

A file-based set of keys.

Nested Class Summary
`static class` `SetFile.Reader` Provide access to an existing set file.
`static class` `SetFile.Writer` Write a new set file.

Field Summary

Fields inherited from class org.apache.hadoop.io.MapFile
`DATA_FILE_NAME, INDEX_FILE_NAME`

Constructor Summary
`protected` `SetFile()`

Method Summary

Methods inherited from class org.apache.hadoop.io.MapFile
`delete, fix, main, rename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetFile

    protected SetFile()

Copyright © 2009 The Apache Software Foundation